Ankündigung

Einklappen
Keine Ankündigung bisher.

imagick läuft nicht ab php 7.3

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Nils Dornblut
    antwortet
    Hallo Herr Hantschel,

    was für einen Tarif nutzen Sie denn? Sie finden die Info unter Auftragsinformation im Kundenmenü.

    Mit freundlichen Grüßen

    Nils Dornblut

    Einen Kommentar schreiben:


  • StefanGold
    antwortet
    Hallo Jens,

    so ging das früher auf meinem alten Server auch, in meinem neuen Tarif gibt es keine PHP.ini mehr, sondern ich trage es im Webseitenverzeichnis in die .user.ini ein...
    Und im Extension-Dir steht bei mir: .:/usr/share/pear:/usr/share/php

    Bei mir geht es so!

    LG Stefan

    Einen Kommentar schreiben:


  • Jens Hantschel
    antwortet
    Hallo,

    ich habe auch gerade versucht die Einstellungen für WordPress entsprechend anzupassen und die Extension imagick.so zu aktivieren.
    Leider hat es nicht geklappt, oder mein WordPress erkennt es noch nicht. Folgendes habe ich getan:

    1. PHP.ini angelegt.
    2. Extension-Dir folgendes eingetragen: /usr/local/lib/php_modules/7-73LATEST
    3. In PHP.ini folgendes in der ersten Zeile eingetragen:
    Code:
    extension="imagick.so"
    4. Nach dem Speichern sah es dann so aus:
    Code:
    [extension]
    0 = "imagick.so"
    Was fehlt noch, oder was habe ich falsch gemacht? Die PHP.ini habe ich für die gesamte Lösung, als auch für die betreffende Domain angelegt.
    Konkret geht es um eine Webseite die auf einer Subdomain läuft.

    Danke für eure Hilfe.

    Einen Kommentar schreiben:


  • Enigma
    antwortet
    Zitat von StefanGold Beitrag anzeigen
    Was ist denn zu bevorzugen? Zend Optimzer oder ionCube Loader? Wo sind die Unterschiede?
    Die Frage hat nichts mehr mit der vorhergehenden zu tun, oder?

    Den Zend Optimizer gibt es bereits seit PHP 5.3 nicht mehr, dafür aber den Zend Guard Loader. Zend Guard und ionCube "verschlüsseln" den Quelltext. Du benötigst dann den Loader, der zur jeweils verwendeten Verschlüsselungssoftware gehört. Insofern verstehe ich die Frage ehrlich gesagt nicht ganz...

    Ob Zend Guard noch weiterentwickelt und vertrieben wird, ist mir ohne weitere Recherche nicht ganz klar. Das Zend Framework wurde von der Mutterfirma Rogue Wave Software ja bereits eingestellt und ist nur noch als Open-Source-Projekt verfügbar. Die Zend-Website gibt es offenbar gar nicht mehr, und auf der Rogue-Wave-Site finde ich kein entsprechendes Produkt.

    Gruß
    Jan

    Einen Kommentar schreiben:


  • StefanGold
    antwortet
    Danke, es läuft jetzt. Zumindest hat WP nichts mehr zu beanstanden.

    Was ist denn zu bevorzugen? Zend Optimzer oder ionCube Loader? Wo sind die Unterschiede?

    LG Stefan

    Einen Kommentar schreiben:


  • Enigma
    antwortet
    Zumindest in den Nicht-Extended-Versionen muss die imagick.so selbst in der php.ini eingebunden werden. Für PHP 7.3 ist aber eine andere Version als für PHP 7.2 erforderlich. Du musst also den Pfad für das extension_dir anpassen. Siehe dazu https://www.df.eu/de/support/df-faq/...-editor/#c4244 und https://www.df.eu/de/support/df-faq/...-editor/#c4243.

    Gruß
    Jan

    Einen Kommentar schreiben:


  • StefanGold
    hat ein Thema erstellt imagick läuft nicht ab php 7.3.

    imagick läuft nicht ab php 7.3

    Hallo,

    sobald ich von php 7-72 stable auf eine php 7-73 umstelle, sagt WP, dass imagick nicht laufen würde.
    Da ich die php.ini nicht verändert habe, frage ich mich, woran es liegen könnte.

    Außerdem empfihelt WP ja schon 7-74, die gar nicht zur Verfügung steht

    Liebe Grüße

    Stefan
Lädt...
X